"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StepServiceRepository_1 = require("../../../acl/stepService/StepServiceRepository");
jest.mock('../../../acl/stepService/StepServiceDataAdapterFactory', () => {
    return {
        StepServiceDI: {
            api: 0
        },
        StepServiceDataAdapterFactory: {
            create: jest.fn().mockImplementation(() => {
                return {
                    getStepById: jest.fn().mockResolvedValue(1),
                    getStepletsByStepId: jest.fn().mockResolvedValue(1),
                    getArtifactUrlByStepId: jest.fn().mockResolvedValue(1),
                    updateStep: jest.fn().mockResolvedValue(1)
                };
            })
        }
    };
});
const stepId = 1;
describe('StepServiceRepository', () => {
    it('pass getStepById', async () => {
        const stepServiceRepository = new StepServiceRepository_1.StepServiceRepository();
        const result = await stepServiceRepository.getStepById(stepId);
        expect(result).toStrictEqual(1);
    });
    it('pass getStepletsByStepId', async () => {
        const stepServiceRepository = new StepServiceRepository_1.StepServiceRepository();
        const result = await stepServiceRepository.getStepletsByStepId(stepId);
        expect(result).toStrictEqual(1);
    });
    it('pass getArtifactUrlByStepId', async () => {
        const stepServiceRepository = new StepServiceRepository_1.StepServiceRepository();
        const result = await stepServiceRepository.getArtifactUrlByStepId(stepId, '<artifactName>');
        expect(result).toStrictEqual(1);
    });
    it('pass updateStep', async () => {
        const stepServiceRepository = new StepServiceRepository_1.StepServiceRepository();
        const result = await stepServiceRepository.updateStep(stepId, {});
        expect(result).toStrictEqual(1);
    });
});
//# sourceMappingURL=StepServiceRepository.test.js.map