"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepServiceRepository = void 0;
const StepServiceDataAdapterFactory_1 = require("./StepServiceDataAdapterFactory");
class StepServiceRepository {
    constructor() {
        this.adapter = StepServiceDataAdapterFactory_1.StepServiceDataAdapterFactory.create(StepServiceDataAdapterFactory_1.StepServiceDI.api);
    }
    getStepById(stepId) {
        return this.adapter.getStepById(stepId);
    }
    getStepletsByStepId(stepId) {
        return this.adapter.getStepletsByStepId(stepId);
    }
    getArtifactUrlByStepId(stepId, artifactName) {
        return this.adapter.getArtifactUrlByStepId(stepId, artifactName);
    }
    updateStep(stepId, update) {
        return this.adapter.updateStep(stepId, update);
    }
}
exports.StepServiceRepository = StepServiceRepository;
//# sourceMappingURL=StepServiceRepository.js.map