/// <reference types="node" />
import { Readable } from 'node:stream';
import { CrudRepository, StepConsole } from '@jfrog-pipelines/data-access-layer';
import { StepAttributes, StepConsoleAttributes } from '@jfrog-pipelines/types';
export declare class StepConsoleRepository extends CrudRepository<StepConsole, StepConsoleAttributes> {
    private static readonly GET_BY_STEPID_RAW_QUERY;
    private dbConnectionManager;
    private dbConnection;
    constructor();
    getByStepId(stepId: StepAttributes['id']): Promise<Readable>;
    releaseConnection(): boolean;
    private getConnection;
}
