import { CommandHandler } from '@jfrog-pipelines/microservice';
import { ArchiveCommand } from './ArchiveCommand';
export declare type LogEventDataType = {
    domain: string;
    eventType: string;
    status: string;
    stepId: number;
    durationMillis: number;
    stepConsoleCount?: number;
    stepletConsoleCount?: number;
};
export declare class WebConsoleArchiveCommandHandler implements CommandHandler {
    private readonly stepServiceRepository;
    private readonly stepConsoleRepository;
    private readonly stepletConsoleRepository;
    private readonly logger;
    constructor();
    handle(command: ArchiveCommand): Promise<void>;
    archiveStep(stepId: number): Promise<void>;
    private getProtocol;
    private deleteStepletArchivedConsole;
    private handleStepArchivalWithRetry;
    private isStepArchived;
    private deleteStepConsoleByStepId;
    private getStepletsByStepId;
    private deleteStepletConsoleByStepletId;
    private extractBearerToken;
    private getArtifactoryRequestOptions;
}
