"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DbRowTransformer = void 0;
const node_stream_1 = require("node:stream");
class DbRowTransformer extends node_stream_1.Transform {
    constructor() {
        super({ readableObjectMode: true, writableObjectMode: true });
        this.delimiter = '[';
    }
    _transform(chunk, encoding, next) {
        this.push(this.delimiter + JSON.stringify(chunk));
        this.delimiter = ',';
        next();
    }
    _flush(next) {
        this.push(']');
        next();
    }
}
exports.DbRowTransformer = DbRowTransformer;
//# sourceMappingURL=DbRowTransformer.js.map